<?php
/*
 * Copyright (c) 2008-2009 Karri "Blaze" Kahelin
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

/**
 * Readonly class containing all strings used in application
 */
class Strings {
	private $_s = array();

	/**
	 * Constructs new String-object
	 */
	public function __construct() {
		$this->_s['app_name'] = 'SolGal';
		$this->_s['title'] = 'SolGal gallery';
		$this->_s['copyright'] = 'Copyright © 2008-2009 Karri "Blaze" Kahelin';
		$this->_s['licence'] = '<p>Permission is hereby granted, free of charge, to any person obtaining a copy
			of this software and associated documentation files (the "Software"), to deal
			in the Software without restriction, including without limitation the rights
			to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
			copies of the Software, and to permit persons to whom the Software is
			furnished to do so, subject to the following conditions:</p>

			<p>The above copyright notice and this permission notice shall be included in
			all copies or substantial portions of the Software.</p>

			<p>THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
			IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
			FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
			AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
			LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
			OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
			THE SOFTWARE.</p>';

		// errors
		$this->_s['internal_error'] = 'Internal error: ';
		$this->_s['config_file_not_found_error'] = 'Configuration ' .
			'file not found: ';
		$this->_s['db_connect_error'] = 'Can\'t connect to database: ';
		$this->_s['comment_error'] = 'Error saving comment: ';
		$this->_s['admin_error'] = 'Error performing administrative ' .
			'task: ';
		$this->_s['empty_fields'] = 'Empty fields';
		$this->_s['template_not_found_error'] = 'Template file not ' .
			'found: ';
		$this->_s['invalid_directory_error'] = 'Invalid image ' .
			'directory: ';
		$this->_s['index_error'] = 'Error while indexing: ';
		$this->_s['no_image_error'] = 'No such image: ';
		$this->_s['missing_template'] = 'View not initialized ' .
			'(missing template files?)';

		$this->_s['wrong_password'] = 'Wrong password.';
		$this->_s['comment_saved'] = 'Comment saved.';
		$this->_s['changes_saved'] = 'Changes saved.';

		// View
		$this->_s['error'] = 'Error: ';
		$this->_s['prev'] = '« previous';
		$this->_s['next'] = 'next »';
		$this->_s['back'] = '«« back';
		$this->_s['separator'] = ' ';
		$this->_s['root_category'] = 'root';
		$this->_s['login'] = 'Login';
		$this->_s['logout'] = 'Logout';
		$this->_s['apply'] = 'Apply';
		$this->_s['about'] = 'About ' . $this->_s['app_name'];
		$this->_s['category_header'] = 'Images in ';
		$this->_s['search_header'] = 'Results for search ';
		
		// Image info headers
		$this->_s['ii_added'] = 'Date added';
		$this->_s['ii_taken'] = 'Date taken';
		$this->_s['ii_width'] = 'Width';
		$this->_s['ii_height'] = 'Height';
		$this->_s['ii_cam_manufacturer'] = 'Camera manufacturer';
		$this->_s['ii_cam_model'] = 'Camera model';
		$this->_s['ii_shutter_speed'] = 'Shutter speed';
		$this->_s['ii_subject_distance'] = 'Subject distance';
		$this->_s['ii_focal_length'] = 'Focal length';
		$this->_s['ii_exposure_time'] = 'Exposure time';
		$this->_s['ii_location'] = 'Location';
		$this->_s['ii_photographer'] = 'Photographer';
		$this->_s['ii_format'] = 'Format';
		$this->_s['ii_size'] = 'Size';
		$this->_s['ii_description'] = 'Description';
	}

	/**
	 * Returns a string
	 *
	 * @param name string to return
	 *
	 * @return the desired string
	 */
	public function get($name) {
		return isset($this->_s[$name]) ? $this->_s[$name] :
			"Uninitialized string: $name";
	}
}
?>
